import { ListCostCategoryDefinitionsCommand, } from "../commands/ListCostCategoryDefinitionsCommand";
import { CostExplorerClient } from "../CostExplorerClient";
const makePagedClientRequest = async (client, input, ...args) => {
    return await client.send(new ListCostCategoryDefinitionsCommand(input), ...args);
};
export async function* paginateListCostCategoryDefinitions(config, input, ...additionalArguments) {
    let token = config.startingToken || undefined;
    let hasNext = true;
    let page;
    while (hasNext) {
        input.NextToken = token;
        input["MaxResults"] = config.pageSize;
        if (config.client instanceof CostExplorerClient) {
            page = await makePagedClientRequest(config.client, input, ...additionalArguments);
        }
        else {
            throw new Error("Invalid client, expected CostExplorer | CostExplorerClient");
        }
        yield page;
        const prevToken = token;
        token = page.NextToken;
        hasNext = !!(token && (!config.stopOnSameToken || token !== prevToken));
    }
    return undefined;
}
