import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  CostExplorerClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CostExplorerClient";
import {
  CreateAnomalySubscriptionRequest,
  CreateAnomalySubscriptionResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateAnomalySubscriptionCommandInput
  extends CreateAnomalySubscriptionRequest {}
export interface CreateAnomalySubscriptionCommandOutput
  extends CreateAnomalySubscriptionResponse,
    __MetadataBearer {}
export declare class CreateAnomalySubscriptionCommand extends $Command<
  CreateAnomalySubscriptionCommandInput,
  CreateAnomalySubscriptionCommandOutput,
  CostExplorerClientResolvedConfig
> {
  readonly input: CreateAnomalySubscriptionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateAnomalySubscriptionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CostExplorerClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateAnomalySubscriptionCommandInput,
    CreateAnomalySubscriptionCommandOutput
  >;
  private serialize;
  private deserialize;
}
