import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  CostExplorerClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CostExplorerClient";
import {
  GetReservationPurchaseRecommendationRequest,
  GetReservationPurchaseRecommendationResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetReservationPurchaseRecommendationCommandInput
  extends GetReservationPurchaseRecommendationRequest {}
export interface GetReservationPurchaseRecommendationCommandOutput
  extends GetReservationPurchaseRecommendationResponse,
    __MetadataBearer {}
export declare class GetReservationPurchaseRecommendationCommand extends $Command<
  GetReservationPurchaseRecommendationCommandInput,
  GetReservationPurchaseRecommendationCommandOutput,
  CostExplorerClientResolvedConfig
> {
  readonly input: GetReservationPurchaseRecommendationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetReservationPurchaseRecommendationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CostExplorerClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetReservationPurchaseRecommendationCommandInput,
    GetReservationPurchaseRecommendationCommandOutput
  >;
  private serialize;
  private deserialize;
}
