import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  CostExplorerClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CostExplorerClient";
import {
  ProvideAnomalyFeedbackRequest,
  ProvideAnomalyFeedbackResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ProvideAnomalyFeedbackCommandInput
  extends ProvideAnomalyFeedbackRequest {}
export interface ProvideAnomalyFeedbackCommandOutput
  extends ProvideAnomalyFeedbackResponse,
    __MetadataBearer {}
export declare class ProvideAnomalyFeedbackCommand extends $Command<
  ProvideAnomalyFeedbackCommandInput,
  ProvideAnomalyFeedbackCommandOutput,
  CostExplorerClientResolvedConfig
> {
  readonly input: ProvideAnomalyFeedbackCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ProvideAnomalyFeedbackCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CostExplorerClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ProvideAnomalyFeedbackCommandInput,
    ProvideAnomalyFeedbackCommandOutput
  >;
  private serialize;
  private deserialize;
}
