import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  CostExplorerClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CostExplorerClient";
import {
  UpdateCostAllocationTagsStatusRequest,
  UpdateCostAllocationTagsStatusResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface UpdateCostAllocationTagsStatusCommandInput
  extends UpdateCostAllocationTagsStatusRequest {}
export interface UpdateCostAllocationTagsStatusCommandOutput
  extends UpdateCostAllocationTagsStatusResponse,
    __MetadataBearer {}
export declare class UpdateCostAllocationTagsStatusCommand extends $Command<
  UpdateCostAllocationTagsStatusCommandInput,
  UpdateCostAllocationTagsStatusCommandOutput,
  CostExplorerClientResolvedConfig
> {
  readonly input: UpdateCostAllocationTagsStatusCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateCostAllocationTagsStatusCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CostExplorerClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateCostAllocationTagsStatusCommandInput,
    UpdateCostAllocationTagsStatusCommandOutput
  >;
  private serialize;
  private deserialize;
}
